Last Comment Bug 218346 - Switch from an identity set to have signature above the quote, or with suppress_signature_separator set, results in multiple sig's
: Switch from an identity set to have signature above the quote, or with suppre...
Status: NEW
[gs]
:
Product: MailNews Core
Classification: Components
Component: Composition (show other bugs)
: Trunk
: All All
: -- minor with 20 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://gsfn.us/t/1cw14
: 249419 250144 309073 320198 411518 434132 453444 505643 531575 548532 673863 688502 737106 1029570 (view as bug list)
Depends on: 270681 62429
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 16:16 PDT by Ian Neal
Modified: 2015-09-30 06:28 PDT (History)
44 users (show)
info: wanted‑thunderbird3?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
signature not bottom the quote (25.66 KB, image/jpeg)
2010-04-23 07:06 PDT, raths
no flags Details

Description Ian Neal 2003-09-04 16:16:34 PDT
Once the patch to bug 62429 has been checked in, identity switching when one or
more identities has a signature which is set to go above the quoted text does
not work. Instead you just get multiple signatures, an additional one each time
you try switching identities. This happens in both composition and reply windows.
Comment 1 Scott Davis 2004-01-25 16:29:08 PST
Verify bug still present in Thunderbird 0.4

With settings:
- start my reply above the quote
- and place my sig below my reply
- and multiple identities

Changing the From dropdown to another identity does not change the signature
correctly. Sometimes it simply does not change; sometimes it adds an additional
signature.
Comment 2 Mike Cowperthwaite 2004-11-19 09:39:35 PST
*** Bug 249419 has been marked as a duplicate of this bug. ***
Comment 3 Mike Cowperthwaite 2004-11-19 09:43:00 PST
My comment from the dupe:
This is the reason "below the quote" is annotated with "recommended."

Using the "below my reply" setting requires Mozilla to not use the "-- " sig 
separator, so as not to treat all the quoted text as part of the sig.  When 
changing identities, that separator is what's used to locate the sig to swap it 
with the new identity; anything that's *not* a sig is assumed to be text, and 
the new identity's sig is inserted into that text.
Comment 4 ccrawford 2004-11-19 09:48:41 PST
(In reply to comment #3)
Understood. Maybe the use of some kind of div/meta tag to denote the signature
would work (not displayed, not printed, not transmitted). Or, continue to use
the -- in the reply (visually preferred regardless of location of sig, IMHO) but
be able to recognize where the quoted text starts.

While Outlook XP has plently of other issues, it does handle this well.
Comment 5 R.K.Aa. 2005-03-16 12:47:14 PST
*** Bug 250144 has been marked as a duplicate of this bug. ***
Comment 6 zug_treno 2005-09-19 02:14:59 PDT
*** Bug 309073 has been marked as a duplicate of this bug. ***
Comment 7 Peter Weilbacher 2005-12-15 09:37:56 PST
*** Bug 320198 has been marked as a duplicate of this bug. ***
Comment 8 Lewis Rosenthal 2005-12-15 17:40:58 PST
Hmmm... I was the reported for bug 320198, which Peter kindly dup'd over to this one (which I missed in my initial search). That said, comment #0 says:

>This happens in both composition and reply windows.

However, on SeaMonkey nightlies (12/2005 et seq; currently using Mozilla/5.0 (OS/2; U; Warp 4.5; en-US; rv:1.9a1) Gecko/20051214 MultiZilla/1.8.1.0u SeaMonkey/1.5a), I ONLY see this when sending a page or a link, while replies and new composition windows work fine. Same bug? (And yes, I am configured for top quoting other than in newsgroups. There's a reason for this: users of small devices - and I am one of them - may not have the luxury of receiving a message with tons of quoted text, and/or it may be inconvenient to scroll down through all of them to read the reply at the bottom.)

Lewis
Comment 9 Mike Cowperthwaite 2005-12-15 22:04:41 PST
(In reply to comment #8)
> comment #0 says:
> >This happens in both composition and reply windows.

Either comment 0 is mistaken, or behavior has changed since this bug was 
opened.  Currently, this bug will not manifest for a "new composition window" because:  *there is no quoted text*.  Without quoted text, the sig always 
gets the sig-separator, and it's the lack of a sig-separator that leads to 
this bug.


> I ONLY see this when sending a page or a link, while replies and
> new composition windows work fine. Same bug? (And yes, I am configured for
> top quoting other than in newsgroups. 

I don't see this at all for Send Link, with the configuration described in comment 3.  Send Link/Send Page (likewise Forward Inline) doesn't pay any attention to the "above the quote/below the quote" setting because there is no quoted text; the URL/forwarded text is treated as user-entered body, for the purposes being discussed here.

Also note that in the Reply case (also Forward), the initial identity depends 
on which identity the original message was sent to, so you might have a different starting identity than you're expecting.

(Also also note that when Thunderbird is invoked by Firefox's Send Link, it doesn't put a sig on the message body at all; this is bug 57802.)


> users of small devices - and I am one of them - may not have the luxury of
> receiving a message with tons of quoted text, and/or it may be inconvenient
> to scroll down through all of them to read the reply at the bottom.

Sounds like a good reason to eschew sigs altogether.
Comment 10 Csaba Lack 2006-01-31 13:17:07 PST
In the Mozilla Thunderbird 1.6a1 and in the 1.5 the problem "still" exists, but there is new issue about that.
If you have multiple identities and you want to set the parameter in the Composition & Addressing / Automatically quote.... then "start my reply above the quote" and place my signature "below my reply (above the quote)".
After I press OK, and OK and OK for the main window, and get back to this place, I can see that the "below my reply" information hasn't been stored.
Only in case if you edit the pref.js and change the sig_bottom true to false.

I think the "multiple sigs" after switching can be solved, if Thunderbird before read the sig file, store the number of line, so after you have the attachment the Thunderbird knows where the attachment start in case of reply get the number of the -- line, and start to read the line (eighter it is html or txt). So if you change the identity Thunderbird just delete the from starting of -- and the length of the sig.
And replace with the new one. So in this case the sig above and below... and maybe the throught the quote ;) can be solved (Has anyone got another idea)?

It is so strange, that you have to ctrl+x and ctrl+v by hand, in case of reply and have a quote... and want the answer, and your sign above the original message
Comment 11 m0in 2006-01-31 13:32:55 PST
(In reply to comment #10)
> In the Mozilla Thunderbird 1.6a1 and in the 1.5 the problem "still" exists, but
> there is new issue about that.
> If you have multiple identities and you want to set the parameter in the
> Composition & Addressing / Automatically quote.... then "start my reply above
> the quote" and place my signature "below my reply (above the quote)".
> After I press OK, and OK and OK for the main window, and get back to this
> place, I can see that the "below my reply" information hasn't been stored.
> Only in case if you edit the pref.js and change the sig_bottom true to false.

Hi,
thats not a new problem.
I have this problem with my thunderbird 1.0.6 too.
Comment 12 Csaba Lack 2006-01-31 13:48:44 PST
(In reply to comment #11)
> (In reply to comment #10)

> thats not a new problem.
> I have this problem with my thunderbird 1.0.6 too.
> 
That's why I wrote "still" exists ;), and I have tried the latest nightly build.
And after I read throught the comments, I thought that the option could be set in the 1.0.6, instead of setting by hand in pref.js.
Comment 13 Tobias Hansen 2006-01-31 15:03:13 PST
this is a bug for itself

https://bugzilla.mozilla.org/show_bug.cgi?id=284058
Comment 14 Csaba Lack 2006-01-31 15:18:58 PST
(In reply to comment #13)
> this is a bug for itself
> 
> https://bugzilla.mozilla.org/show_bug.cgi?id=284058
> 

I have read throught and the related bugs also, and it is interesting, that this is still "a" bug. There were several "milestone" 0.5;1.0;1.5... I know that there should be more Thunderbird developer, and so on, but may I ask in which release would be this "case" closed? Now 2006.02.01. (GMT+1 Hungary)... may I hope that in the TB2.0? Or this a WONT-FIX bug...?
Comment 15 Tobias Hansen 2006-01-31 15:31:11 PST
lol .. well both this bug and the other would be nice to get fixed soon, but i think Mike is having some problems with reproducing the bug, however i dont quite undestand why. But maybe i should download the nightly and see if i can reproduce it myself, it might be harder than it seems :)
Comment 16 Csaba Lack 2006-01-31 15:42:23 PST
(In reply to comment #15)
> lol .. well both this bug and the other would be nice to get fixed soon, but i
> think Mike is having some problems with reproducing the bug, however i dont
> quite undestand why. But maybe i should download the nightly and see if i can
> reproduce it myself, it might be harder than it seems :)
> 

1. I have downloaded the latest one
2. rename my old Thunderbird folder (I wanted to use it later, instead of destroy it ;))
3. started the downloaded latest build. (no import)
4. create new Email account IMAP.
5. for this login create two new identity (Manage Identity -> new-> eg. test1; test2, and set two different file by browse)
6. try to set the at the Manage Identity the Composition & Addressing / Automatically quote.... then "start my reply above
the quote" and place my signature "below my reply (above the quote)".
7. press okay

result: not stored after edit again, the start my reply above will okay, but the second parameter below my reply (above the quote) changed bac to recommended value (recommended because bugos ;)).

8. close TB edit the pref.js eg.by notepad and then search for sig_bottom, and change the true value to false

9. start TB and reply one of your imap email, which cover the email address (identity detection of the test1 or test2), or simply change between the identities, then you will have lots of times the two sig file :).

10. it can be reproducable on Windows 2000, and XP as well, I haven't tried my Kubuntu yet, but I think the same...

I hope I could helped you

Regards:
Csaba Lack
Comment 17 Tobias Hansen 2006-01-31 16:39:53 PST
Well thx but i dont have a problem with reproducing it .. :) Mike has, so i hope he see this.
Comment 18 Mike Cowperthwaite 2006-01-31 17:44:00 PST
I have no problem reproducing this bug.  I can also reproduce bug 284058 
easily; I've been unable to reproduce bug 278453, which is similar but not identical to 284058.

Since this bug has not been marked Fixed, nor is there even a patch attached 
to it, it should be no surprise that "downloading the latest" doesn't help 
the situation.
Comment 19 Tobias Hansen 2006-01-31 17:58:01 PST
Oki .. sry i might have mixed up the bugs. But do you know when you have a patch for this bug then?

And this is said to rare: "Thanks for a great program" nice to have a proper alternative to M$
Comment 20 Csaba Lack 2006-02-01 00:44:53 PST
(In reply to comment #19)
> And this is said to rare: "Thanks for a great program" nice to have a proper
> alternative to M$
> 

Yes, you are "almost" right, but I think that people who write bugreport here, (like me) admire you and your effort, and feel that Thundrbird and other Mozilla related projects are good to be, and many thanks for you and other developers for thm.
But I didn't know that I should say thanks when I wrote a bugreport, I thought that the bugzilla, is for saying where the problem is. 
And of course I was disappointed a little bit, because this bug is still alive after 2 years. 

Another thing that I like the whole program and use it on my environments and offer for another persons to use these great program.

So  I want to say many thanks for TB and I use it on linux and windows, and every PC-s because I like it ;). Sorry for not saying that before :(
Comment 21 Tobias Hansen 2006-02-01 05:56:26 PST
> So  I want to say many thanks for TB and I use it on linux and windows, and
> every PC-s because I like it ;). Sorry for not saying that before :(
>

well it wasent a complaint that you dident say it .. lol .. 

mike: is this "small talk" even alowed here? :|  

Comment 22 Tobias Hansen 2006-02-01 06:17:13 PST
> So  I want to say many thanks for TB and I use it on linux and windows, and
> every PC-s because I like it ;). Sorry for not saying that before :(
>

well it wasent a complaint that you dident say it .. lol .. 

mike: is this "small talk" alowed here? :|  
Comment 23 Ronald Rossi 2006-07-28 06:46:00 PDT
Some additional information about the bug which may or may not be known...

If you add "-- " on its own line anywhere in the body (except the first line), when you switch identities ALL the text is erased and the signature file is added (sans "-- "). So detection of the signature marker ("-- ") is important and results in sudden death to the text of the reply.
Comment 24 Ronald Rossi 2006-08-03 10:19:50 PDT
I would like to add that I run into this bug every day! The identity switching feature is not simply used to change persona, but enables me to easily switch servers to send mail. My employer will not allow access to an external pop server. While within the company network I need to use the corporate server. While outside of the company network I have no access to the corporate server and must use my person ISPs server. THANKS.
Comment 25 James Ballenger 2006-11-13 07:00:50 PST
"Above the quote" can only be selected for the master identity on any given account.  When going into "Manage Identities" for any of the multiple identies, choosing edit (for a subsidiary identity), Composition & Addressing, and place my signature above the quote, the setting is never saved.  Even if you select above the quote and click ok, if you immediately go back to this setting it has be reset to below the quote again.
Comment 26 Adam A Flynn 2006-11-27 20:41:09 PST
I can confirm this bug too. Thunderbird 1.5.0.8 here.

I can't change the setting for where the signature goes in either the master identity or any subsidiary identities. Editing the prefs file manually sorta fixes the bug, but, the signature is not prefaced with the double dash (--) and, when I change identity, it does not remove the old signature but simply compounds the other signatures on top of the initially placed one. Suffice it to say, that gets annoying. :P

Running Dell Inspiron laptop with WinXP SP2. If it makes a difference, it's an IMAP account.
Comment 27 Mike Cowperthwaite 2006-11-28 09:18:07 PST
(In reply to comment #26)
> I can't change the setting for where the signature goes in either the master
> identity or any subsidiary identities. 

See bug 284058 and bug 278453.
Comment 28 (not reading, please use seth@sspitzer.org instead) 2007-06-21 15:16:08 PDT
sorry for the spam.  making bugzilla reflect reality as I'm not working on these bugs.  filter on FOOBARCHEESE to remove these in bulk.
Comment 29 Matt Schulte 2008-05-19 07:58:04 PDT
I agree with #24, I wish this could be fixed.  V2.0.0.14, W2k SP4. 

Thanks.
Comment 30 rsx11m 2008-06-05 11:32:19 PDT
*** Bug 411518 has been marked as a duplicate of this bug. ***
Comment 31 Serge Gautherie (:sgautherie) 2008-06-20 10:47:29 PDT
Filter on "Nobody_NScomTLD_20080620"
Comment 32 info 2009-03-04 04:07:55 PST
I can't believe so few people have voted for this to be fixed. I can't see why it should be categorized as a 'minor' issue either. There is not an easy workaround (as a minor issue is defined as having), as nobody would actually read our email signatures if we had them below the quoted text.

We have a central 'info' inbox that all mail comes into, and then individual employees use their accounts to respond. This means that every employee needs to spend around half a minute per email (trust me, it all adds up) finding just the right place to cut off the second signature, remove it, and then go up to the top to write their reply. It really saps productivity.
Comment 33 Shriramana Sharma 2009-09-05 20:44:10 PDT
I think this is a generic bug and better reported as bug 505643. On my system I have the "recommended" setting of placing the signature below the quote and I do have the problem described by the OP. This bug should be made a duplicate of bug 505643.
Comment 34 Ludovic Hirlimann [:Usul] 2009-09-07 23:50:46 PDT
*** Bug 505643 has been marked as a duplicate of this bug. ***
Comment 35 thomas.sanladerer 2009-11-28 17:02:09 PST
*** Bug 531575 has been marked as a duplicate of this bug. ***
Comment 36 thomas.sanladerer 2009-11-30 05:27:09 PST
Confirming this bug, it is still present in TB 3RC1.
Comment 37 Ludovic Hirlimann [:Usul] 2010-01-19 02:06:37 PST
*** Bug 540418 has been marked as a duplicate of this bug. ***
Comment 38 Ludovic Hirlimann [:Usul] 2010-01-19 02:07:03 PST
*** Bug 434132 has been marked as a duplicate of this bug. ***
Comment 39 thomas.sanladerer 2010-01-19 02:20:54 PST
Confirming again, still present in TB 3.0.1
Comment 40 Ludovic Hirlimann [:Usul] 2010-02-26 05:56:04 PST
*** Bug 548532 has been marked as a duplicate of this bug. ***
Comment 41 raths 2010-04-23 06:25:10 PDT
"Verify bug still present in Thunderbird 0.4

With settings:
- start my reply above the quote
- and place my sig below my reply
- and multiple identities

Changing the From dropdown to another identity does not change the signature
correctly. Sometimes it simply does not change; sometimes it adds an additional
signature."

I agree !
Comment 42 raths 2010-04-23 06:36:53 PDT
Ok moziila recommands sig below the quote but the user should be able to choose !
Comment 43 raths 2010-04-23 07:02:02 PDT
(In reply to comment #25)
> "Above the quote" can only be selected for the master identity on any given
> account.  When going into "Manage Identities" for any of the multiple identies,
> choosing edit (for a subsidiary identity), Composition & Addressing, and place
> my signature above the quote, the setting is never saved.  Even if you select
> above the quote and click ok, if you immediately go back to this setting it has
> be reset to below the quote again.

tools option advanced configuration editor.

idx sigbottom should be false
Comment 44 raths 2010-04-23 07:04:58 PDT
(In reply to comment #27)
> (In reply to comment #26)
> > I can't change the setting for where the signature goes in either the master
> > identity or any subsidiary identities. 
> 
> See bug 284058 and bug 278453.

configuration editor : idx sig bottom should be false and no true ! And there it Works !
Comment 45 raths 2010-04-23 07:06:57 PDT
Created attachment 441025 [details]
signature not bottom the quote
Comment 46 Bhavbhuti Nathwani 2010-04-23 20:53:23 PDT
I will like to add to the mix.  Even if signature is at the bottom, it will double if you forward an RSS feed.  It will have the default accounts signature at the bottom.  Now change the identity and you will see 2 signatures from both the default and the changed identity.  I hope I was able to explain.

Thanks and regards
Bhavbhuti
Comment 47 [:Aureliano Buendía] 2010-05-11 10:22:29 PDT
*** Bug 453444 has been marked as a duplicate of this bug. ***
Comment 48 j.couzinie 2010-06-10 05:45:32 PDT
Hello,
I'm working in a call center and we have to change the From field in order for
our email adress to appear as "support@company.com" or "sales@company.com"
depending on the email purpose...
So I'm loosing a lot of time deleting duplicates of my signature !!
This bug need to be fixed !
Comment 49 Jim Porter (:squib) 2010-06-10 11:56:22 PDT
If you don't have different quote settings, you might be experiencing bug 566825, which has a fix that will hopefully get in sometime soon.
Comment 50 J.B. Nicholson-Owens 2010-07-12 09:19:44 PDT
I still see the duplicate signatures in Thunderbird 3.1.  All of my identities on one of my accounts have signatures, all of the signatures display at the end of the email (the default; I haven't changed the signature location for any of my signatures).

When I switch from one identity to another the signatures are merely appended to the email leaving multiple signatures in the message edit area.  I can manually edit out all but the signature I want but this is inconvenient.
Comment 51 rsx11m 2010-10-08 09:12:43 PDT
Suggestion for a possible solution from bug 58406 comment #198:
> On HTML composition this is fine, as we can detect the start of the signature
> via a class name on an html node. With plain text composition, we were
> detecting the "-- " as the start of the signature. [...] the potential solution
> would be to look for the whole signature and remove that.

Note that the fix there would extend the problem seen here also to cases where the signature is at the bottom (including new messages) if the user chooses to hide the signature delimiter (the default remains adding the "-- ").
Comment 52 rsx11m 2010-10-25 19:54:19 PDT
Since bug 58406 has landed today, this needs to be extended in scope.
I'm adjusting summary to reflect that.
Comment 53 eric 2010-11-19 09:17:13 PST
So we're up to 7 years of time wasted deleting signatures because the latest signature was appended instead of replaced? For all the talent and technology that goes into Thunderbird, surely there's a straightforward way to correct this.
Comment 54 regal 2011-03-03 21:42:41 PST
can't they just add the -- at the top of the sig, and a --- at the bottom and replace the text between those lines?
Comment 55 Lewis Rosenthal 2011-03-04 10:09:54 PST
"They" who?

RFC 1376, paragraph 4.3 refers to the separator line like so:

   There is a long-standing convention in Usenet news which also
   commonly appears in Internet mail of using "-- " as the separator
   line between the body and the signature of a message.  When
   generating a Format=Flowed message containing a Usenet-style
   separator before the signature, the separator line is sent as-is.
   This is a special case; an (optionally quoted or quoted and stuffed)
   line consisting of DASH DASH SP is neither fixed nor flowed.

   Generating agents MUST NOT end a paragraph with such a signature
   line.

   A receiving agent needs to test for a signature line both before the
   test for a quoted line (see Section 4.5) and also after logically
   counting and deleting quote marks and stuffing (see Section 4.4) from
   a quoted line.

My reading of the RFC in general implies (to me) that only a single "-- " is acceptable as a sig separator, and there is, AFAIK, no provision for "--- " as some sort of sig end.

Of course what complicates even that is the situation described in Comment 51, where a user may indeed - for whatever reason - wish to hide the delimiter entirely. Ugh...
Comment 56 JJ 2011-06-04 03:46:00 PDT
First of all, TB is a great job. I use it daily at home and at the office. Miramar introduces remarkable new features.

However, as other users have posted on their comments since 2004, I am not able to understand rationale to not fix up an apparently easy to solve issue such as this one.

It is really annoying.

Workaround is to install add-ons that handle this issue, BUT ONLY IF YOU DO NOT USE MIRAMAR. In my case, I chose using Miramar and feeling the pain of having to remove default signature when another identity applies to a message's reply/forward.
Comment 57 Ludovic Hirlimann [:Usul] 2011-08-12 05:02:08 PDT
*** Bug 673863 has been marked as a duplicate of this bug. ***
Comment 58 Michal Stanke (Mozilla.cz) [:MikkCZ] 2011-08-12 05:48:04 PDT
This is EIGHT YERAS OLD bug??? Are you kidding? I don't want to indecent.

I started using TB because I have here all my account separated, but also in one place and simple to control. This is the biggest bug I found in this feature.
Comment 59 rsx11m 2011-09-22 10:58:30 PDT
*** Bug 688502 has been marked as a duplicate of this bug. ***
Comment 60 Karl Rolfe 2011-12-01 20:06:46 PST
Just to confirm, this is still present in TB 8.0
Comment 61 rsx11m 2012-03-19 16:12:04 PDT
*** Bug 737106 has been marked as a duplicate of this bug. ***
Comment 62 DJRavine 2012-05-29 23:48:24 PDT
Hello all,

I have been looking for a FIX for this for a while now.
Since this is the 'expected' behavior and no one wants to commit a change, I decided to write a little addon to fix this issue.

This post is just an informative post letting people know that the addon exists and it can correct this bug.

ADDON LINK: https://addons.mozilla.org/en-US/developers/addon/signature-fixer
Comment 63 DJRavine 2012-05-29 23:53:45 PDT
Opps... wrong link...

ADDON LINK: https://addons.mozilla.org/en-US/thunderbird/addon/signature-fixer/
Comment 64 Lewis Rosenthal 2012-05-30 06:43:34 PDT
(In reply to DJRavine from comment #62)

I appreciate your work on this. I modified the install.rdf to install under SeaMonkey, but cannot get the extension to work. I'll look a bit further to see if there is something different between SM's handling of this and TB, though I don't want to load up this bug with discussion of an extension's compatibility with one app vs another.

Again, thanks for the work. It's a step in the right direction, if not a complete fix, but after all this time, I'll take it!
Comment 65 wvsrk1lx 2012-05-30 13:26:18 PDT
I'm not quite sure why this is the 'expected' behavior.

> while replies and new composition windows work fine (comment 8)

I'm using thunderbird 12.0.1 on Mac, and pretty much regardless of the type of quoting, when composing a new message, it seems to add signatures one after another.
Comment 66 wvsrk1lx 2012-05-30 13:42:42 PDT
Hmm... Switching account/signatures in new message seems to work when mail.identity.default.suppress_signature_separator is false, and broken when mail.identity.default.suppress_signature_separator is true. I have no idea how this can be fixed, but Gmail's signature tweaks in Gmail labs seems to do this properly.
Comment 67 rsx11m 2012-05-30 14:54:08 PDT
(In reply to tech163 from comment #66)
> work when mail.identity.default.suppress_signature_separator is false, and
> broken when mail.identity.default.suppress_signature_separator is true.

See bug 58406 comment #198, that's why I amended the scope here per comment #52.
Comment 68 domi 2012-06-24 14:49:54 PDT
there are some progress with TB 13.0.1

if you reply you get the good signature in the correct position

by example =>
in the reply before mode (plain text mode without html)
i get 
1) one normal blank line on top
2) one blank line linked to the signature block (if you type something there it will get the "signature format" in light grey (the old "--" line)
3) multi lines, signature block

here is my sig configuration
user_pref("mail.identity.id7.sig_bottom", false);
user_pref("mail.identity.id7.sig_date", 0);
user_pref("mail.identity.id7.sig_file", "D:\\xxx\\file.txt");
user_pref("mail.identity.id7.sig_file-rel", "D:\\xxx\\file.txt");
user_pref("mail.identity.id7.sig_on_fwd", true);
user_pref("mail.identity.id7.sig_on_reply", true);
user_pref("mail.identity.id7.sign_mail", false);


BUT it is worst if you swith identity (look at comment 48 for context-example)

by switching identity the signature is replaced by the good one (fine)
but you lost the 1) line, the first "normal" line

so all you type will be in the 2) "signature format" line
and will be in the grey light "signature color" not the black "normal color"
Comment 69 rsx11m 2014-06-24 10:16:31 PDT
*** Bug 1029570 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.